#!/usr/bin/env amspython
from scm.plams import *
from scm.params import *
import os


def main():
    init()
    examples_dir = os.path.expandvars("$AMSHOME/scripting/scm/params/examples/benchmark")
    job = ParAMSJob.from_yaml(examples_dir)
    job.settings.input.Task = "SinglePoint"
    job.run()
    res = job.results.get_data_set_evaluator().results["energy"]
    print(res.detailed_string())
    print("---------")
    print("Mean absolute error: {:.2f} {}".format(res.mae, res.unit))
    finish()


if __name__ == "__main__":
    main()
